complexType "NettedSwapBase"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 1 attribute, 7 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally in fpml-eq-shared-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | (primaryAssetClass?, secondaryAssetClass*, productType*, productId*, assetClass*)?, additionalPayment*, extraordinaryEvents?
</...>

Content Model Elements (7):

  additionalPayment (defined in NettedSwapBase complexType),
  assetClass,
  extraordinaryEvents (defined in NettedSwapBase complexType),
  primaryAssetClass,
  productId (defined in Product.model group),
  productType (defined in Product.model group),
  secondaryAssetClass

Known Direct Subtypes (2):

  CorrelationSwap, VarianceSwap

All Direct / Indirect Based Elements (2):

  correlationSwap, varianceSwap

Known Usage Locations

- In derivations of other global types (2):

  CorrelationSwap (as extension base), | VarianceSwap (as extension base)

Annotation
An abstract base class for all swap types which have a single netted leg, such as Variance Swaps, and Correlation Swaps.
Type Definition Detail

Type Derivation Tree Product (extension) NettedSwapBase

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType abstract="true" name="NettedSwapBase"> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="additionalPayment" type="ClassifiedPayment"/> <xsd:element minOccurs="0" name="extraordinaryEvents" type="ExtraordinaryEvents"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/7)
additionalPayment

  Type: | ClassifiedPayment, complex content

  Specifies additional payment(s) between the principal parties to the netted swap.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="additionalPayment" type="ClassifiedPayment"/>

extraordinaryEvents

  Type: | ExtraordinaryEvents, complex content

  Where the underlying is shares, specifies events affecting the issuer of those shares that may require the terms of the transaction to be adjusted.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="extraordinaryEvents" type="ExtraordinaryEvents"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.